Subject: bug#4982: rgrep can't deal with .gz files

From: [email-masked]
Date: Mon, 23 Nov 2009 09:53:33 +0800

>>>>> "JL" == Juri Linkov <[email-masked]> writes:
JL> But now you say that highlighting in zgrep output works for you.
JL> I wonder how this is possible?
All I know is after I changed grep-command to zgrep, when I run
(rgrep "JL" "* .*" "~" nil)
it uses
find . \( -path \*/SCCS ... xargs -0 -e zgrep  -nH -e JL
and the front of this line is blue:
./KIDPIX/n_PICT4993.JPG:Binary file (standard input) matches
and this is green:
./.ssh/known_hosts:14:|1|HHSxNOckqq
Note for me
$ env|grep -ci grep
0
and I use the latest debian emacs-snapshot.